Bug 4780 - Notify all published presenters doesn't send emails
Notify all published presenters doesn't send emails
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.3.4
PC Linux
: P3 normal
Assigned To: PKP Support
http://www.ooocon.org
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-01 13:07 PDT by jpmcc
Modified: 2011-08-20 08:51 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS 2.3.3-1 (1.88 KB, patch)
2011-08-19 12:23 PDT, Michael Felczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jpmcc 2009-10-01 13:07:33 PDT
We have been sending emails happily from various parts of OCS - e.g. to conference presenters, reviewers, etc. However, the Director Home -> Management -> Notify Users -> Send Email -> All published presenters (101 users) only sends one email (to the conference director). 

The postfix mail log looks like this:

Oct  1 21:49:32 conference postfix/pickup[9115]: 355BD65F83: uid=30 from=<wwwrun>
Oct  1 21:49:32 conference postfix/cleanup[9268]: 355BD65F83: message-id=<20091001194932.355BD65F83@conference.services.openoffice.org>
Oct  1 21:49:32 conference postfix/qmgr[9117]: 355BD65F83: from=<wwwrun@conference.services.openoffice.org>, size=1906, nrcpt=1 (queue active)
Oct  1 21:49:32 conference postfix/sendmail[9269]: fatal: wwwrun(30): No recipient addresses found in message header
Oct  1 21:49:32 conference postfix/smtp[9272]: 355BD65F83: to=<conference_director@openoffice.org>, relay=cylon1.sjc.collab.net[204.16.104.10]:25, delay=0.4, delays=0.15/0.05/0.12/0.08, dsn=2.0.0, status=sent (250 ok:  Message 30305174 accepted)
Oct  1 21:49:32 conference postfix/qmgr[9117]: 355BD65F83: removed

If I select the "Send a copy of this message to my address" checkbox, I get 101 emails, but the "To:" field looks odd, e.g.:

To: "Joe Smith" <>

It looks as though OCS may be failing to find the user's email address?

Some config details:

OS platform  	Linux
PHP version 	5.2.9
Apache version 	Apache/2.2.10 (Linux/SUSE)
Database driver 	mysql
Database server version 	5.0.67

Thanks - John
Comment 1 Alec Smecher 2010-10-04 14:40:03 PDT
Not sure if this is still valid; needs testing.
Comment 2 Michael Felczak 2011-08-19 12:23:15 PDT
Created attachment 3620 [details]
Patch against OCS 2.3.3-1
Comment 3 Michael Felczak 2011-08-19 12:24:11 PDT
Thanks again for all of the details, John.

Can you please confirm whether the attached patch fixes the issue for you?
Comment 4 Michael Felczak 2011-08-19 12:25:01 PDT
Notify all published presenters doesn't send emails
https://github.com/pkp/ocs/commit/1258c32666242e03f4455a63bb8275503317dec5
Comment 5 jpmcc 2011-08-20 02:42:35 PDT
(In reply to comment #3)
> Thanks again for all of the details, John.
> 
> Can you please confirm whether the attached patch fixes the issue for you?

Sorry, I no longer have access to OCS to test this out.

Apologies - John
Comment 6 Michael Felczak 2011-08-20 08:50:53 PDT
No worries, thanks.